読者です 読者をやめる 読者になる 読者になる

日記っぽい何か

インフラ系っぽいエンジニアのメモっぽい何か ドラクエ10の記事はblogs.yahoo.co.jp/j_k54dqxに移転しました

pecl install ssh2のエラー

CentOS 5.9環境のせい?すんなり行かなかったのでメモ。

configure: error: libssh2 version >= 1.2 not found

上記のようなエラー。peclにはbeta版しかなく、そいつがlibssh2の1.2以上を要求してくるのでソースからビルドするしかなさそうな感じだった。

こちらを参考にした: http://linux.yebisu.jp/memo/464

wget http://www.libssh2.org/download/libssh2-1.2.7.tar.gz
tar zxf libssh2-1.2.7.tar.gz 
cd libssh2-1.2.7/
./configure
make
make install
pecl install ssh2-beta

みたいな感じ